<template>
  <el-tooltip
    v-if="!isSuspended"
    class="box-item"
    effect="customized"
    placement="bottom"
  >
    <div class="flex gap-1 items-center font-bold" :class="themeName === 'playful' && 'max-[585px]:!flex-col max-[585px]:!gap-0'">
      <span>{{ store.state.currency }}</span>
      <span class="mr-1">{{ mainBalanceForDisplay }} <icons :is-refresh="true" @click="getMultiWallets" /></span>
    </div>
    <template v-if="wallets.length !== 0" #content>
      <div class="flex flex-col px-3 py-1 leading-7">
        <div class="flex justify-between border-b-2 pointerr-cursor">
          <div>
            {{ $t("wallet") }}
          </div>
          <div>
            {{ $t("amount") }}
          </div>
        </div>
        <div v-for="(wallet, index) in wallets" :key="index">
          <div v-if="isGlobalAndPeruShop">
            <div class="flex justify-between" v-if="wallet.Category === 0">
              <div>
                {{ wallet.getWalletNameForDisplay() }}
              </div>
              <div class="ml-5">
                {{ wallet.getBetCreditForDisplay() }}
              </div>
            </div>
          </div>
          <div v-else>
            <div class="flex justify-between">
              <div>
                {{ wallet.getWalletNameForDisplay() }}
              </div>
              <div class="ml-5">
                {{ wallet.getBetCreditForDisplay() }}
              </div>
            </div>
          </div>
        </div>
      </div>
    </template>
  </el-tooltip>
</template>

<script setup lang="ts">
import { store } from "~~/store";
import useBalanceInfo from "~/composables/useBalanceInfo";
const { wallets, getMultiWallets, mainBalanceForDisplay } = useBalanceInfo();
const themeName = store.state.selectedThemeName;
const peruShop = computed(() => store.state.isPerushopEnabled ? store.state.isPerushopEnabled : false);
const isGlobalAndPeruShop = computed(() => store.state.selectedThemeName.toLowerCase() === 'global' && peruShop.value);
</script>

<style>
.el-popper.is-customized {
  padding: 6px 12px;
  color: var(--text);
  background: var(--background1);
}
.el-popper.is-customized .el-popper__arrow::before {
  background: var(--background1);
}
</style>
